function setPsychoModuleGUI(this, ~)
set(this.HContainer,'Units','normalized');

%% background panel
uipanel('parent',this.HContainer, ...
    'Units', 'normalized', ...
    'Position',[0, 0, 1, 1],...
    'BackgroundColor',[0.6,0.6,0.6]...
    );

%% banner text
uicontrol(this.HContainer, ...
    'Tag','txFeedBack', ...
    'Style','text', ...
    'FontSize',30,...
    'HorizontalAlignment', 'center', ...
    'String','Initializing', ...
    'Units', 'normalized', ...
    'UserData', this, ...
    'Position',[0, 0.8, 1, 0.1],...
    'BackgroundColor',[0.6,0.6,0.6]...
    );


%% sound display buttons
uicontrol(this.HContainer, ...
    'Tag','pbA', ...
    'Style','pushbutton', ...
    'FontSize',36,...
    'HorizontalAlignment', 'center', ...
    'UserData', this, ...
    'String','First Sound', ...
    'Units', 'normalized', ...
    'Position',[0.1, 0.6, 0.3, 0.1], ...
        'BackgroundColor',[0.8 0.8 0.8]...
    );
uicontrol(this.HContainer, ...
    'Tag','pbB', ...
    'Style','pushbutton', ...
    'FontSize',36,...
    'HorizontalAlignment', 'center', ...
    'UserData', this, ...
    'String','Second Sound', ...
    'Units', 'normalized', ...
    'Position',[0.6, 0.6, 0.3, 0.1], ...
    'BackgroundColor',[0.8 0.8 0.8]...
    );

%% volume buttons
uicontrol(this.HContainer, ...
    'Tag','vol--', ...
    'Style','pushbutton', ...
    'FontSize',36,...
    'HorizontalAlignment', 'center', ...
    'UserData', this, ...
    'String','--', ...
    'Units', 'normalized', ...
    'Position',[0, 0.3, 0.2, 0.1], ...
    'Callback', @callbackSelection, ...
        'BackgroundColor',[0.8 0.8 0.8]...
    );
uicontrol(this.HContainer, ...
    'Tag','vol-', ...
    'Style','pushbutton', ...
    'FontSize',36,...
    'HorizontalAlignment', 'center', ...
    'UserData', this, ...
    'String','-', ...
    'Units', 'normalized', ...
    'Position',[0.2, 0.3, 0.2, 0.1], ...
    'Callback', @callbackSelection, ...
    'BackgroundColor',[0.8 0.8 0.8]...
    );

uicontrol(this.HContainer, ...
    'Tag','vol=', ...
    'Style','pushbutton', ...
    'FontSize',36,...
    'HorizontalAlignment', 'center', ...
    'UserData', this, ...
    'String','=', ...
    'Units', 'normalized', ...
    'Position',[0.4, 0.3, 0.2, 0.1], ...
    'Callback', @callbackExitCheck, ...
    'BackgroundColor',[0.8 0.8 0.8]...
    );
uicontrol(this.HContainer, ...
    'Tag','vol+', ...
    'Style','pushbutton', ...
    'FontSize',36,...
    'HorizontalAlignment', 'center', ...
    'UserData', this, ...
    'String','+', ...
    'Units', 'normalized', ...
    'Position',[0.6, 0.3, 0.2, 0.1], ...
    'Callback', @callbackSelection, ...
    'BackgroundColor',[0.8 0.8 0.8]...
    );
uicontrol(this.HContainer, ...
    'Tag','vol++', ...
    'Style','pushbutton', ...
    'FontSize',36,...
    'HorizontalAlignment', 'center', ...
    'UserData', this, ...
    'String','++', ...
    'Units', 'normalized', ...
    'Position',[0.8, 0.3, 0.2, 0.1], ...
    'Callback', @callbackSelection, ...
    'BackgroundColor',[0.8 0.8 0.8]...
    );


uicontrol(this.HContainer, ...
    'Tag','startRun', ...
    'Visible','off',... 
    'Style','pushbutton', ...
    'FontSize',36,...
    'HorizontalAlignment', 'center', ...
    'UserData', this, ...
    'String','Start', ...
    'Units', 'normalized', ...
    'Position',[0.85, 0.8, 0.1, 0.1], ...
    'Callback', @callbackDoFirstRun, ...
    'BackgroundColor',[0.8 0.8 0.8]...
    );

uicontrol(this.HContainer, ...
    'Tag','endrunyes', ...
    'Visible','off',... 
    'Style','pushbutton', ...
    'FontSize',36,...
    'HorizontalAlignment', 'center', ...
    'UserData', this, ...
    'String','Yes', ...
    'Units', 'normalized', ...
    'Position',[0.1, 0.15, 0.2, 0.1], ...
    'Callback', @callbackEndRun, ...
    'BackgroundColor',[0.8 0.8 0.8]...
    );

uicontrol(this.HContainer, ...
    'Tag','endrunno', ...
    'Visible','off',... 
    'Style','pushbutton', ...
    'FontSize',36,...
    'HorizontalAlignment', 'center', ...
    'UserData', this, ...
    'String','No', ...
    'Units', 'normalized', ...
    'Position',[0.7, 0.15, 0.2, 0.1], ...
    'Callback', @callbackReturn, ...
    'BackgroundColor',[0.8 0.8 0.8]...
    );
% brColor = [1,0.4,0.6];
% set(0,'defaultUicontrolBackgroundColor',brColor);
% hbc = findobj(this.HContainer, '-property','BackgroundColor','-and','-not','Style','pushbutton');
% set(hbc,'BackgroundColor',brColor);